Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/levelutil/actor/door.s3d_perch_lst
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/levelutil/actor/door.s3d_perch_lst	(revision 2453)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/levelutil/actor/door.s3d_perch_lst	(revision 2499)
@@ -378,98 +378,98 @@
                                         # Function "initActor" of type "@void-", dynamic linkage "-v":
 l1:
-0007e4 000000 32                        null.i
-0007e5 000001 0a 80                     storescr.i 0
-0007e7 000003 7a 82                     const.s 2
-0007e9 000005 bc 82                     bi.getParamStr 2
-0007eb 000007 c4 83                     bi.findActor 3
-0007ed 000009 0e 80                     storescr.a 0
-0007ef 00000b 7a 83                     const.s 3
-0007f1 00000d bc 84                     bi.getParamStr 4
-0007f3 00000f c4 85                     bi.findActor 5
-0007f5 000011 0e 81                     storescr.a 1
-0007f7 000013 7f                        return
+0007f9 000000 32                        null.i
+0007fa 000001 0a 80                     storescr.i 0
+0007fc 000003 7a 82                     const.s 2
+0007fe 000005 bc 82                     bi.getParamStr 2
+000800 000007 c4 83                     bi.findActor 3
+000802 000009 0e 80                     storescr.a 0
+000804 00000b 7a 83                     const.s 3
+000806 00000d bc 84                     bi.getParamStr 4
+000808 00000f c4 85                     bi.findActor 5
+00080a 000011 0e 81                     storescr.a 1
+00080c 000013 7f                        return
                                         
                                         # Function "finishActor" of type "@void-", dynamic linkage "-v":
 l2:
-0007f8 000014 7f                        return
+00080d 000014 7f                        return
                                         
                                         # Function "open" of type "@void-", dynamic linkage "":
 l3:
-0007f9 000015 29 81                     changeloc.f 1
-0007fb 000017 04 80                     loadscr.a 0
-0007fd 000019 7a 86                     const.s 6
-0007ff 00001b ca 88 81                  bi.a.dyncall 8 1
-000802 00001e 04 81                     loadscr.a 1
-000804 000020 7a 87                     const.s 7
-000806 000022 ca 89 81                  bi.a.dyncall 9 1
-000809 000025 04 80                     loadscr.a 0
-00080b 000027 7a 88                     const.s 8
-00080d 000029 ca 8a 89                  bi.a.dyncall 10 9
-000810 00002c 1f ff                     storeloc.f -1
-000812 00002e 7a 8a                     const.s 10
-000814 000030 15 ff                     loadloc.f -1
-000816 000032 c8 8b                     bi.evtAppoint 11
-000818 000034 29 ff                     changeloc.f -1
-00081a 000036 7f                        return
+00080e 000015 29 81                     changeloc.f 1
+000810 000017 04 80                     loadscr.a 0
+000812 000019 7a 86                     const.s 6
+000814 00001b ca 88 81                  bi.a.dyncall 8 1
+000817 00001e 04 81                     loadscr.a 1
+000819 000020 7a 87                     const.s 7
+00081b 000022 ca 89 81                  bi.a.dyncall 9 1
+00081e 000025 04 80                     loadscr.a 0
+000820 000027 7a 88                     const.s 8
+000822 000029 ca 8a 89                  bi.a.dyncall 10 9
+000825 00002c 1f ff                     storeloc.f -1
+000827 00002e 7a 8a                     const.s 10
+000829 000030 15 ff                     loadloc.f -1
+00082b 000032 c8 8b                     bi.evtAppoint 11
+00082d 000034 29 ff                     changeloc.f -1
+00082f 000036 7f                        return
                                         
                                         # Function "close" of type "@void-", dynamic linkage "":
 l4:
-00081b 000037 29 81                     changeloc.f 1
-00081d 000039 04 80                     loadscr.a 0
-00081f 00003b 7a 8c                     const.s 12
-000821 00003d ca 8d 81                  bi.a.dyncall 13 1
-000824 000040 04 81                     loadscr.a 1
-000826 000042 7a 87                     const.s 7
-000828 000044 ca 8e 81                  bi.a.dyncall 14 1
-00082b 000047 04 80                     loadscr.a 0
-00082d 000049 7a 88                     const.s 8
-00082f 00004b ca 8f 89                  bi.a.dyncall 15 9
-000832 00004e 1f ff                     storeloc.f -1
-000834 000050 7a 8a                     const.s 10
-000836 000052 15 ff                     loadloc.f -1
-000838 000054 c8 90                     bi.evtAppoint 16
-00083a 000056 29 ff                     changeloc.f -1
-00083c 000058 7f                        return
+000830 000037 29 81                     changeloc.f 1
+000832 000039 04 80                     loadscr.a 0
+000834 00003b 7a 8c                     const.s 12
+000836 00003d ca 8d 81                  bi.a.dyncall 13 1
+000839 000040 04 81                     loadscr.a 1
+00083b 000042 7a 87                     const.s 7
+00083d 000044 ca 8e 81                  bi.a.dyncall 14 1
+000840 000047 04 80                     loadscr.a 0
+000842 000049 7a 88                     const.s 8
+000844 00004b ca 8f 89                  bi.a.dyncall 15 9
+000847 00004e 1f ff                     storeloc.f -1
+000849 000050 7a 8a                     const.s 10
+00084b 000052 15 ff                     loadloc.f -1
+00084d 000054 c8 90                     bi.evtAppoint 16
+00084f 000056 29 ff                     changeloc.f -1
+000851 000058 7f                        return
                                         
                                         # Function "enter" of type "@void-<@actor", dynamic linkage "-v<a":
 l5:
-00083d 000059 2c 81                     changeloc.a 1
-00083f 00005b 22 ff                     storeloc.a -1
-000841 00005d 00 80                     loadscr.i 0
-000843 00005f 32                        null.i
-000844 000060 46                        equal.i
-000845 000061 7c 83                     jumpz l8
-000847 000063 7e 7f af                  call l3
+000852 000059 2c 81                     changeloc.a 1
+000854 00005b 22 ff                     storeloc.a -1
+000856 00005d 00 80                     loadscr.i 0
+000858 00005f 32                        null.i
+000859 000060 46                        equal.i
+00085a 000061 7c 83                     jumpz l8
+00085c 000063 7e 7f af                  call l3
 l8:
-00084a 000066 00 80                     loadscr.i 0
-00084c 000068 78 81                     const.i 1
-00084e 00006a 87                        bi.i.add
-00084f 00006b 0a 80                     storescr.i 0
-000851 00006d 2c ff                     changeloc.a -1
-000853 00006f 7f                        return
+00085f 000066 00 80                     loadscr.i 0
+000861 000068 78 81                     const.i 1
+000863 00006a 87                        bi.i.add
+000864 00006b 0a 80                     storescr.i 0
+000866 00006d 2c ff                     changeloc.a -1
+000868 00006f 7f                        return
                                         
                                         # Function "leave" of type "@void-<@actor", dynamic linkage "-v<a":
 l6:
-000854 000070 2c 81                     changeloc.a 1
-000856 000072 22 ff                     storeloc.a -1
-000858 000074 00 80                     loadscr.i 0
-00085a 000076 78 81                     const.i 1
-00085c 000078 88                        bi.i.sub
-00085d 000079 0a 80                     storescr.i 0
-00085f 00007b 00 80                     loadscr.i 0
-000861 00007d 32                        null.i
-000862 00007e 46                        equal.i
-000863 00007f 7c 83                     jumpz l9
-000865 000081 7e 7f b3                  call l4
+000869 000070 2c 81                     changeloc.a 1
+00086b 000072 22 ff                     storeloc.a -1
+00086d 000074 00 80                     loadscr.i 0
+00086f 000076 78 81                     const.i 1
+000871 000078 88                        bi.i.sub
+000872 000079 0a 80                     storescr.i 0
+000874 00007b 00 80                     loadscr.i 0
+000876 00007d 32                        null.i
+000877 00007e 46                        equal.i
+000878 00007f 7c 83                     jumpz l9
+00087a 000081 7e 7f b3                  call l4
 l9:
-000868 000084 2c ff                     changeloc.a -1
-00086a 000086 7f                        return
+00087d 000084 2c ff                     changeloc.a -1
+00087f 000086 7f                        return
                                         
                                         # Function "soundOff" of type "@void-", dynamic linkage "-v":
 l7:
-00086b 000087 04 81                     loadscr.a 1
-00086d 000089 7a 90                     const.s 16
-00086f 00008b ca 94 81                  bi.a.dyncall 20 1
-000872 00008e 7f                        return
+000880 000087 04 81                     loadscr.a 1
+000882 000089 7a 90                     const.s 16
+000884 00008b ca 94 81                  bi.a.dyncall 20 1
+000887 00008e 7f                        return
                                         
                                         # End of assembly file.
